View Issue Details

IDProjectCategoryView StatusLast Update
0005215MediaMonkey (current)Playlist / Searchpublic2017-07-10 17:42
ReporterBex 
PriorityhighSeverityfeatureReproducibilityhave not tried
Status feedbackResolutionreopened 
Product Version3.1 
Target VersionFixed in Version4.0 
Summary0005215: Implement sort by DATEAdded (not DateTimeAdded)
DescriptionCurrently it's possible to sort by DateAdded in auto-playlists and advance searches. But since the field DateAdded contains time the sort-order in the result isn't always as expected. This feature has been requested many times.
Since the current DateAdded already exist, but really is DateTimeAdded, some renaming of the fields needs to be done to avoid confusion. (Or can DayAdded be used instaed?)

Perhaps also a YearAdded, MonthAdded and WeekAdded would make sense to implement?
Additional Informationhttp://www.mediamonkey.com/forum/viewtopic.php?f=1&t=36170
TagsNo tags attached.
Fixed in build1322

Relationships

related to 0005894 assignedLudek MediaMonkey (current) Auto-added Playlists for ripped tracks are out of sequence 
has duplicate 0004794 closedstephen_platt MediaMonkey Wishlist Users want a "date added" criteria 
related to 0005024 feedbackrusty MediaMonkey (current) Advanced queries based on dates relative to the present 

Activities

rusty

2009-01-19 21:01

administrator   ~0016294

I would suggest that we just change this so that it sorts by Date Added (and not by time). If users require a sort by Date Added and by Time Added, we can add support for a secondary sort by Time Added, though I can't see the need for this.

Bex

2009-01-20 20:17

updater   ~0016315

I believe that the current DateAdded is mainly used to create a latest added tracks auto-playlist. Changing it could annoy many users. Perhaps it would be best to rename the current DateAdded to DateTimeAdded (that wouldn't break any existing auto-playlists, would it?) and then implement a "real" DateAdded?

rusty

2009-10-05 19:53

administrator   ~0019071

Last edited: 2009-10-05 20:18

Sure. 'Date/Time Added' (for current field) + 'Date Added' (New field) could work, but it might get a little complicated since we should probably do the same for other date related fields, e.g.
'Date/Time Modified' + 'Date Modified'
'Date/Time Last Played' + 'Date Last Played'

jiri

2009-10-08 13:02

administrator   ~0019097

Maybe a small trick would solve all this without the need for any new fields:
1. In case Date Added is the only (or last) field in the list of sorting fields, it would be fully used - i.e. including time.
2. In case Date Added is followed by some other fields (like Track #), only Date part would be used.

Bex

2010-01-31 20:04

updater   ~0019990

Yes, I like Jiri's trick. It looks like it would always solve all wishes.

Ludek

2010-02-02 12:08

developer   ~0019992

Last edited: 2010-02-02 13:27

Yes, I like it too. Assigning to me for implementation.

Ludek

2010-02-02 13:27

developer   ~0019993

Fixed in build 1301.

Note: Implemented the same way also for 'Last Played'

stephen_platt

2010-11-01 14:58

developer   ~0021089

Tested in build 1319. Seems to work ok for "Last played" but not for "Added".

Ludek

2010-11-03 15:25

developer   ~0021148

Stephen, couldn't this be just a test error?

If I add following two orders:
Added A..Z
Title A..Z

the tracks are shown in the right order, i.e. all tracks added 7.1.2009 are in the alphabetic order despite the time they were added.

stephen_platt

2010-11-04 02:14

developer   ~0021165

I am trying with:
Added Z..A
Album A..Z

and also

Added Z..A
Track# A..Z

but it seems to be only sorting by Added date

stephen_platt

2010-11-04 12:22

developer  

dateaddedplaylist.png (118,357 bytes)
dateaddedplaylist.png (118,357 bytes)

rusty

2010-11-04 14:40

administrator   ~0021171

Last edited: 2010-11-04 14:43

View 2 revisions

The problem here is that the date field includes both data and time which means that in the case where the user wants to sort by Added and then by Track#, the effective sort order is 1) Date 2) Time 3) Track# (instead of 1) Date 2) Track#).

The only way to resolve this is to either:
a) properly implement Jiri's trick
b) Remove the time from the 'Date Added' field (which could have other secondary annoyances to users).
c) Split 'Added' into 'Date Added' and 'Time Added'

stephen_platt

2010-11-04 18:28

developer   ~0021178

I thought the whole point of this issue was to ignore time and only use date when a secondary sort criteria was presented for autoplaylist sort order. Isn't that the case? If so, isn't this acting incorrectly based on my image attached above?

Ludek

2010-11-05 00:39

developer   ~0021189

Thanks Stephen,
I forgot to test the reversed order.

Fixed in build 1322.

stephen_platt

2010-11-05 20:39

developer   ~0021203

Much better :-)

verified 1322

lowlander

2017-07-10 17:42

developer   ~0048354

This should be extended to Filelisting sort. If user sorts Added > Album the tracks should be shown in Album order.